Bug 209624 - [ Mac wk2 ] tiled-drawing/scrolling/fixed/four-bars-zoomed.html is flaky failing.
Summary: [ Mac wk2 ] tiled-drawing/scrolling/fixed/four-bars-zoomed.html is flaky fail...
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Scrolling (show other bugs)
Version: WebKit Nightly Build
Hardware: Mac macOS 10.14
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-03-26 15:51 PDT by Jason Lawrence
Modified: 2020-07-23 05:44 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Lawrence 2020-03-26 15:51:15 PDT
tiled-drawing/scrolling/fixed/four-bars-zoomed.html

Description:
This test is flaky failing on Mac wk2 Release. When scrolling back through the visible history, it appears that the test was previously failing consistently and then started to flaky fail on 03/19/2020.

History:
https://results.webkit.org/?suite=layout-tests&test=tiled-drawing%2Fscrolling%2Ffixed%2Ffour-bars-zoomed.html&flavor=wk2&style=release

Diff:
--- /Volumes/Data/slave/catalina-release-tests-wk2/build/layout-test-results/tiled-drawing/scrolling/fixed/four-bars-zoomed-expected.txt
+++ /Volumes/Data/slave/catalina-release-tests-wk2/build/layout-test-results/tiled-drawing/scrolling/fixed/four-bars-zoomed-actual.txt
@@ -56,9 +56,9 @@
       (coverage rect 0.00, 0.00 341.30 x 254.35)
       (intersects coverage rect 1)
       (contentsScale 2.30)
-      (tile cache coverage 0, 0 341 x 445)
-      (tile size 785 x 512)
-      (top left tile 0, 0 tiles grid 1 x 2)
+      (tile cache coverage 0, 0 445 x 445)
+      (tile size 512 x 512)
+      (top left tile 0, 0 tiles grid 2 x 2)
       (in window 1)
       (children 4
         (GraphicsLayer
Comment 1 Radar WebKit Bug Importer 2020-03-26 15:51:36 PDT
<rdar://problem/60940236>
Comment 2 Jason Lawrence 2020-03-26 15:57:40 PDT
I have marked this test as failing while this issue is investigated. 
https://trac.webkit.org/changeset/259088/webkit
Comment 3 Karl Rackler 2020-07-23 05:39:19 PDT
I have marked debug additionally as this test as failing while this issue is investigated.
https://trac.webkit.org/changeset/264757/webkit
Comment 4 Karl Rackler 2020-07-23 05:44:46 PDT
REGRESSION: [ macOS wk2 ] tiled-drawing/scrolling/fixed/four-bars-zoomed.html is a flaky failure

Description:
tiled-drawing/scrolling/fixed/four-bars-zoomed.html

This started approximately 06/12/20 and has been a flaky failure since.

History:
https://results.webkit.org/?suite=layout-tests&test=tiled-drawing%2Fscrolling%2Ffixed%2Ffour-bars-zoomed.html&flavor=wk2&platform=mac&style=debug&limit=50000

Diff:
--- /Volumes/Data/slave/catalina-debug-tests-wk2/build/layout-test-results/tiled-drawing/scrolling/fixed/four-bars-zoomed-expected.txt
+++ /Volumes/Data/slave/catalina-debug-tests-wk2/build/layout-test-results/tiled-drawing/scrolling/fixed/four-bars-zoomed-actual.txt
@@ -56,9 +56,9 @@
       (coverage rect 0.00, 0.00 341.30 x 254.35)
       (intersects coverage rect 1)
       (contentsScale 2.30)
-      (tile cache coverage 0, 0 341 x 445)
-      (tile size 785 x 512)
-      (top left tile 0, 0 tiles grid 1 x 2)
+      (tile cache coverage 0, 0 445 x 445)
+      (tile size 512 x 512)
+      (top left tile 0, 0 tiles grid 2 x 2)
       (in window 1)
       (children 4
         (GraphicsLayer